> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.brevo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.brevo.com/_mcp/server.

# Create a voucher

POST https://api.brevo.com/v3/loyalty/offer/programs/{pid}/rewards/attribute
Content-Type: application/json

Create a voucher and attribute it to a specific membership.

Reference: https://developers.brevo.com/reference/create-voucher

## Authentication

- `api-key` header (required) — The API key should be passed in the request headers as `api-key` for authentication.

## Request

### Path parameters

- `pid` (string, required) — Loyalty Program ID

### Body (application/json)

- `rewardId` (string, required) — Reward id
- `code` (string, optional) — Code generated to attribute reward to a contact
- `contactId` (long, optional) — Contact to attribute the reward
- `expirationDate` (string, optional) — Reward expiration date
- `loyaltySubscriptionId` (string, optional) — One of contactId or loyaltySubscriptionId is required
- `meta` (map from string to any, optional) — Offer meta information (key/value object)
- `value` (double, optional) — Value of the selected reward config
- `validFrom` (string, optional) — Date from which the voucher becomes valid. Accepts RFC 3339 or DD/MM/YYYY HH:MM AM/PM format. Converted to UTC using the organization's timezone.

## Response

### 200

Voucher successfully created

- `code` (string, optional) — Generated code
- `consumedAt` (string, optional) — Timestamp for when this reward was consumed
- `contactId` (long, optional) — Id of the contact that attributed the reward
- `createdAt` (datetime, optional) — Timestamp for when this reward was created
- `expirationDate` (datetime, optional) — Expiration date of the reward
- `id` (string, optional) — Unique identifier
- `loyaltyProgramId` (string, optional) — Loyalty Program Id to which attributed reward belongs
- `meta` (map from string to any, optional) — Additional data to define the reward
- `rewardId` (string, optional) — Unique identifier for the reward
- `updatedAt` (datetime, optional) — Timestamp for when this reward was updated
- `value` (double, optional) — Value of the selected reward config
- `validFrom` (datetime, optional) — Date from which the voucher becomes valid

## Examples

**Request**

```json
{
  "rewardId": "string"
}
```

**Response**

```json
{
  "code": "string",
  "consumedAt": "string",
  "contactId": 1,
  "createdAt": "2024-01-15T09:30:00Z",
  "expirationDate": "2024-01-15T09:30:00Z",
  "id": "string",
  "loyaltyProgramId": "string",
  "meta": {},
  "rewardId": "string",
  "updatedAt": "2024-01-15T09:30:00Z",
  "value": 1.1,
  "validFrom": "2024-01-15T09:30:00Z"
}
```

**SDK Code**

```typescript
import { BrevoClient } from "@getbrevo/brevo";

async function main() {
    const client = new BrevoClient({
        apiKey: "YOUR_API_KEY_HERE",
    });
    await client.reward.createVoucher({
        pid: "pid",
        rewardId: "string",
    });
}
main();

```

```python
from brevo import Brevo

client = Brevo(
    api_key="YOUR_API_KEY_HERE",
)

client.reward.create_voucher(
    pid="pid",
    reward_id="string",
)

```

```php
<?php

namespace Example;

use Brevo\Brevo;
use Brevo\Reward\Requests\CreateVoucherRequest;

$client = new Brevo(
    apiKey: 'YOUR_API_KEY_HERE',
);
$client->reward->createVoucher(
    'pid',
    new CreateVoucherRequest([
        'rewardId' => 'string',
    ]),
);

```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.brevo.com/v3/loyalty/offer/programs/pid/rewards/attribute"

	payload := strings.NewReader("{\n  \"rewardId\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("api-key", "<apiKey>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.brevo.com/v3/loyalty/offer/programs/pid/rewards/attribute")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["api-key"] = '<apiKey>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"rewardId\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.brevo.com/v3/loyalty/offer/programs/pid/rewards/attribute")
  .header("api-key", "<apiKey>")
  .header("Content-Type", "application/json")
  .body("{\n  \"rewardId\": \"string\"\n}")
  .asString();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.brevo.com/v3/loyalty/offer/programs/pid/rewards/attribute");
var request = new RestRequest(Method.POST);
request.AddHeader("api-key", "<apiKey>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"rewardId\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "api-key": "<apiKey>",
  "Content-Type": "application/json"
]
let parameters = ["rewardId": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.brevo.com/v3/loyalty/offer/programs/pid/rewards/attribute")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```